Payment Statement Report

Overview

The Payment statement report API is a high-level overview of the payouts on your account after the settlement cycle has closed.


Endpoint

GET <https://marketplace.walmartapis.com/v3/report/payment/statement>

Functionality

This API helps you perform:

  • Financial reconciliation
  • Settlement validation
  • Accounting integration
  • Cash flow forecasting
  • Fee, commission, and reserve audits

Request sample

curl --request GET --url <https://marketplace.walmartapis.com/v3/report/payment/statement> --header 'accept: application/json'

Modify your code

1. Add required authentication headers

Include your Walmart Marketplace authentication headers, such as:

  • OAuth access token
  • Consumer ID (if applicable)
  • Correlation ID (recommended for tracing)

Example additions:

--header 'Authorization: Bearer \<ACCESS_TOKEN>' --header 'WM_CONSUMER.ID: \<CONSUMER_ID>' --header 'WM_QOS.CORRELATION_ID: <unique-id>'

2. Integrate financial reports with your accounting system

You can map fields from your Walmart account to your accounting system:

  • Net payable
  • Commission amounts
  • Tax collected vs withheld
  • Fulfillment fees
  • Settlement dates

3. Automate periodic retrieval

Schedule API calls:

  • At the end of each settlement cycle
  • Before payout confirmation
  • For weekly or bi-weekly reconciliation

Response sample

{ "statusCode": 200, "status": "OK", "error": "", "partnerId": "12345678901", "payload": { "outstandingMCABalance": 0, "sellerInfo": { "storeFrontUrl": "https%3A%2F%2F[www.walmart.com%2Fseller%2F3346"](http://www.walmart.com%2Fseller%2F3346"), "sellerStatus": "ACTIVE", "paymentStatus": "ACTIVE", "tenure": 1673 }, "accountSummary": { "openingBalance": 0, "orderActivity": 3220.67, "walmartFulfillmentServices": -849.8, "otherActivities": 0, "reserve": 0, "paidToYou": 0, "closingBalance": 2370.87, "scheduledSettlementDate": "2022-10-11", "paymentProcessor": "ABC Processor Company", "settleCycle": "Bi-weekly", "reserveToDate": 0, "lastUpdatedDate": "2022-10-04", "holdAmt": 0, "holdDates": " " }, "transactionDetails": { "saleAggregate": { "productPrice": 3866.61, "shipping": 36.78, "netTaxCollected": 262.51, "productTaxCollected": 260.48, "shippingTaxCollected": 2.03, "netTaxWithheld": -260.48, "productTaxWithheld": -260.48, "shippingTaxWithheld": 0, "netComm": -542.19, "netPayable": 3324.42, "wfsShipping": -36.78, "wfsShipppingTax": -2.03, "totalBaseCommission": -572.99, "commissionSavings": 30.8 }, "refundDetails": { "productPrice": -111.75, "shipping": 0, "netTaxCollected": -7.06, "productTaxCollected": -7.06, "shippingTaxCollected": 0, "netTaxWithheld": 7.06, "productTaxWithheld": 7.06, "shippingTaxWithheld": 0, "netComm": 11.65, "netPayable": -100.1, "totalBaseCommission": 0, "commissionSavings": 0 }, "adjustmentAggregate": { "netPayable": -3.65, "returnShipServCharge": -3.65 }, "wfs": { "netPayable": -849.8, "wfsInventoryRemovalFee": -1.95, "wfsStorageFee": -71.25, "wfsFullfillmentFee": -750.05, "wfsReturnShippingFee": -26.55 }, "partnerTxns": {} } } }

Result

  • This API returns a detailed financial summary of your account:
  • accountSummary provides settlement-level totals.
  • transactionDetails breaks down sales, refunds, commissions, WFS charges, and adjustments.
  • This report provides you visibility into:
    • Revenue
    • Fees
    • Taxes
    • Net payable
    • Settlement timing

This data can be directly integrated into accounting and reconciliation systems.


Next Steps

Recon report (Legacy)

The Recon report (Legacy) API generates transaction-level details about your account, such as IDs, adjustments, refunds, commissions, shipping fees, and settlement totals. The recon report is generated in CSV file format for legacy systems that aren’t JSON compatible.

Recon Report JSON

The Recon report JSON Is a report of transactions, payouts, fees, refunds, and other financial activities in the JSON file format.

Recon report

The Recon report provides data about your settlements, order transactions, commissions, shipping fees, taxes, adjustments, and refund information. This API has the latest API standards with more advanced functionality and improvements.

Available recon report dates (Legacy)

The Available recon report dates (Legacy) provides date ranges available to download in the recon report.

Available recon report dates

The available recon report dates provides the date ranges available to download in the recon report.

Performance report

The Performance report details the payment performance on your account, so you can see how payments are performing during the current cycle.